# Uses of Interface
org.apache.lucene.util.IOConsumer

Packages that use IOConsumer
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of IOConsumer in org.apache.lucene.util

  Methods in org.apache.lucene.util with parameters of type IOConsumer
  Modifier and Type
  Method
  Description
  `static <T> void`
  IOUtils.`applyToAll(Collection<T> collection, IOConsumer<T> consumer)`
  Applies the consumer to all non-null elements in the collection even if an exception is thrown.